<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-action-button [title]="title" [icon]="icon" [loading]="(loading$ | async) ?? false" [disabled]="disabled" (onClick)="openSelectAdapter()">
  <ng-template #description>
    {{ desc }}
  </ng-template>
</app-action-button>
